std::projected< _Iter, _Proj >(3cxx)

NAME
std::projected< _Iter, _Proj > - [projected], projected

SYNOPSIS

  Public Types

using value_type = remove_cvref_t< indirect_result_t< _Proj &, _Iter > >

  Public Member Functions

indirect_result_t< _Proj &, _Iter > operator* () const

Detailed Description

  template<indirectly_readable _Iter, indirectly_regular_unary_invocable< _Iter > _Proj>
struct std::projected< _Iter, _Proj >" [projected], projected

Author

Generated automatically by Doxygen for libstdc++ from the source code.